/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.view;

import javax.swing.JOptionPane;

/**
 *
 * @author Fernando
 */
public class ViewSubLogin extends javax.swing.JFrame {

    /**
     * Creates new form ViewSubLogin
     */
    public ViewSubLogin() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelCadastroPessoa = new javax.swing.JPanel();
        jButtonCadCliente = new javax.swing.JButton();
        jButtonCadFuncionario = new javax.swing.JButton();
        jButtonCadPessoaJ = new javax.swing.JButton();
        jPanelCadastroVeiculo = new javax.swing.JPanel();
        jButtonCadVeiculo = new javax.swing.JButton();
        jButtonCadMarca = new javax.swing.JButton();
        jButtonCadModelo = new javax.swing.JButton();
        jButtonCadCategoria = new javax.swing.JButton();
        jButtonSair = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JL Rent Car - Tela de Acesso");
        setResizable(false);

        jPanelCadastroPessoa.setBorder(javax.swing.BorderFactory.createTitledBorder("Cadastro Pessoa"));

        jButtonCadCliente.setText("Cadastro de Cliente");
        jButtonCadCliente.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadClienteActionPerformed(evt);
            }
        });

        jButtonCadFuncionario.setText("Cadastro de Motorista");
        jButtonCadFuncionario.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadFuncionarioActionPerformed(evt);
            }
        });

        jButtonCadPessoaJ.setText("Cadastro Pessoa Júridica");
        jButtonCadPessoaJ.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadPessoaJActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelCadastroPessoaLayout = new javax.swing.GroupLayout(jPanelCadastroPessoa);
        jPanelCadastroPessoa.setLayout(jPanelCadastroPessoaLayout);
        jPanelCadastroPessoaLayout.setHorizontalGroup(
            jPanelCadastroPessoaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCadastroPessoaLayout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addComponent(jButtonCadCliente, javax.swing.GroupLayout.PREFERRED_SIZE, 201, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 69, Short.MAX_VALUE)
                .addComponent(jButtonCadPessoaJ, javax.swing.GroupLayout.PREFERRED_SIZE, 220, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .addGroup(jPanelCadastroPessoaLayout.createSequentialGroup()
                .addGap(161, 161, 161)
                .addComponent(jButtonCadFuncionario, javax.swing.GroupLayout.PREFERRED_SIZE, 201, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanelCadastroPessoaLayout.setVerticalGroup(
            jPanelCadastroPessoaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCadastroPessoaLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCadastroPessoaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButtonCadCliente, javax.swing.GroupLayout.DEFAULT_SIZE, 33, Short.MAX_VALUE)
                    .addComponent(jButtonCadPessoaJ, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 18, Short.MAX_VALUE)
                .addComponent(jButtonCadFuncionario, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(21, 21, 21))
        );

        jPanelCadastroVeiculo.setBorder(javax.swing.BorderFactory.createTitledBorder("Cadastro Veículo"));

        jButtonCadVeiculo.setText("Cadastro de Veículo");
        jButtonCadVeiculo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadVeiculoActionPerformed(evt);
            }
        });

        jButtonCadMarca.setText("Cadastro de Marca");
        jButtonCadMarca.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadMarcaActionPerformed(evt);
            }
        });

        jButtonCadModelo.setText("Cadastro de Modelo");
        jButtonCadModelo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadModeloActionPerformed(evt);
            }
        });

        jButtonCadCategoria.setText("Cadastro de Categoria");
        jButtonCadCategoria.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadCategoriaActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelCadastroVeiculoLayout = new javax.swing.GroupLayout(jPanelCadastroVeiculo);
        jPanelCadastroVeiculo.setLayout(jPanelCadastroVeiculoLayout);
        jPanelCadastroVeiculoLayout.setHorizontalGroup(
            jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelCadastroVeiculoLayout.createSequentialGroup()
                .addGap(31, 31, 31)
                .addGroup(jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelCadastroVeiculoLayout.createSequentialGroup()
                        .addComponent(jButtonCadModelo, javax.swing.GroupLayout.PREFERRED_SIZE, 197, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(74, 74, 74))
                    .addGroup(jPanelCadastroVeiculoLayout.createSequentialGroup()
                        .addComponent(jButtonCadVeiculo, javax.swing.GroupLayout.PREFERRED_SIZE, 197, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addGroup(jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButtonCadMarca, javax.swing.GroupLayout.DEFAULT_SIZE, 218, Short.MAX_VALUE)
                    .addComponent(jButtonCadCategoria, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanelCadastroVeiculoLayout.setVerticalGroup(
            jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelCadastroVeiculoLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonCadVeiculo, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonCadMarca, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelCadastroVeiculoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButtonCadModelo, javax.swing.GroupLayout.DEFAULT_SIZE, 34, Short.MAX_VALUE)
                    .addComponent(jButtonCadCategoria, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(19, Short.MAX_VALUE))
        );

        jButtonSair.setText("Sair / Exit");
        jButtonSair.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSairActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jButtonSair, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelCadastroVeiculo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelCadastroPessoa, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(48, Short.MAX_VALUE)
                .addComponent(jPanelCadastroPessoa, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jPanelCadastroVeiculo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jButtonSair)
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(581, 435));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCadVeiculoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadVeiculoActionPerformed
       
        ViewVeiculo telaveiculo = new ViewVeiculo();
        telaveiculo.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonCadVeiculoActionPerformed

    private void jButtonCadModeloActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadModeloActionPerformed
        
        ViewModelo telamodelo = new ViewModelo();
        telamodelo.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonCadModeloActionPerformed

    private void jButtonCadMarcaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadMarcaActionPerformed
        
        ViewMarca telamarca = new ViewMarca();
        telamarca.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonCadMarcaActionPerformed

    private void jButtonSairActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSairActionPerformed
     
        Object[] opcoes = { "sim", "não" };
        Object resposta;
        
            resposta = JOptionPane.showInputDialog(null,
                    "Deseja finalizar o programa",
                    "Finalização",
                    JOptionPane.YES_NO_OPTION,
                    null, opcoes,
                    "não");
            if(resposta.equals("sim")){
                System.exit(0);
            }else{
                JOptionPane.showMessageDialog(null, "Sabia que não queria sair, então vamos lá");
            }        
        
    }//GEN-LAST:event_jButtonSairActionPerformed

    private void jButtonCadCategoriaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadCategoriaActionPerformed
        
        ViewCategoria telacategoria = new ViewCategoria();
        telacategoria.setVisible(true);
        dispose();
    }//GEN-LAST:event_jButtonCadCategoriaActionPerformed

    private void jButtonCadFuncionarioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadFuncionarioActionPerformed
        
        cadastroMotorista cadmoto = new cadastroMotorista();
        cadmoto.setVisible(true);
        dispose();
        
    }//GEN-LAST:event_jButtonCadFuncionarioActionPerformed

    private void jButtonCadPessoaJActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadPessoaJActionPerformed
        
        cadastrojuridica cadjuridic = new cadastrojuridica();
        cadjuridic.setVisible(true);
        dispose();
        
    }//GEN-LAST:event_jButtonCadPessoaJActionPerformed

    private void jButtonCadClienteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadClienteActionPerformed
       
        cadastrodecliente cadfisica = new cadastrodecliente();
        cadfisica.setVisible(true);
        dispose();
        
        
    }//GEN-LAST:event_jButtonCadClienteActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ViewSubLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ViewSubLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ViewSubLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ViewSubLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ViewSubLogin().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonCadCategoria;
    private javax.swing.JButton jButtonCadCliente;
    private javax.swing.JButton jButtonCadFuncionario;
    private javax.swing.JButton jButtonCadMarca;
    private javax.swing.JButton jButtonCadModelo;
    private javax.swing.JButton jButtonCadPessoaJ;
    private javax.swing.JButton jButtonCadVeiculo;
    private javax.swing.JButton jButtonSair;
    private javax.swing.JPanel jPanelCadastroPessoa;
    private javax.swing.JPanel jPanelCadastroVeiculo;
    // End of variables declaration//GEN-END:variables
}
